List licenseDetails
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检索企业用户的 licenseDetails 对象列表。 此 API 返回直接分配的许可证以及通过许可组中的成员身份传递分配的许可证的详细信息。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
User.Read、User.Read.All、User.ReadWrite.All、Directory.Read.All、Directory.ReadWrite.All
委派(个人 Microsoft 帐户)
User.Read
应用程序
User.Read.All、User.ReadWrite.All、Directory.Read.All、Directory.ReadWrite.All
HTTP 请求
GET /me/licenseDetails
GET /users/{id}/licenseDetails
可选的查询参数
此方法支持 $select 查询参数。 若要了解一般信息,请参阅 OData 查询参数 。
名称
说明
Authorization
持有者 <代码>
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 licenseDetails 对象集合。
示例
请求
GET https://graph.microsoft.com/beta/me/licenseDetails
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var licenseDetails = await graphClient.Me.LicenseDetails
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let licenseDetails = await client.api('/me/licenseDetails')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/licenseDetails"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphLicenseDetails *licenseDetails = [[MSGraphLicenseDetails alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
LicenseDetailsCollectionPage licenseDetails = graphClient.me().licenseDetails()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.Me().LicenseDetails().Get()
Import-Module Microsoft.Graph.Users
# A UPN can also be used as -UserId.
Get-MgUserLicenseDetail -UserId $userId
响应
注意:为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#users('071cc716-8147-4397-a5ba-b2105951cc0b')/assignedLicenses",
"value": [
{
"disabledPlans": [],
"skuId": "b05e124f-c7cc-45a0-a6aa-8cf78c946968"
}
]
}